BLK_RQ_COUNT_INTEGRI(9)

NAME
blk_rq_count_integrity_sg - Count number of integrity scatterlist elements

SYNOPSIS

int blk_rq_count_integrity_sg(struct request_queue * q, struct bio * bio);

ARGUMENTS

q
    request queue

bio
    bio with integrity metadata attached

DESCRIPTION

Returns the number of elements required in a scatterlist corresponding to the integrity metadata in a bio.

COPYRIGHT